/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oa_evection.dao.oa_evection;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.oa_evection.entity.oa_evection.OaEvection;

import java.util.List;
import java.util.Map;


/**
 * 出差流程DAO接口
 * @author 丁旭
 * @version 2017-05-22
 */
@MyBatisDao
public interface OaEvectionDao extends CrudDao<OaEvection> {
	/**
	 * 更新流程实例ID
	 * @param oaEvection
	 * @return
	 */
	public int updateProcessInstanceId(OaEvection oaEvection);

    /**
     * 根据流程实例ID获取Leave
     * @param processInstanceId
     * @return
     */
    public OaEvection getByProcessInstanceId(String processInstanceId);

    List getCreateDateList(Map<String, String> map);

    List<OaEvection> findByCompany2(Map<String, Object> map);

	public List getCreateDateList1(Map<String,String> map);
	public List findByCompany1(Map<String,String> map);
	public List getCreateDateListAll(Map<String,String> map);
	public List findByCompanyAll(Map<String,String> map);
	public List<OaEvection> findByManage(Map<String,Object> map);
	public List<OaEvection> findByCompanySelf(Map<String,Object> map);
}